/**
 * @license
 * Copyright ASW (A Software World) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file
 */
import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { TextFieldControl } from './textfield-control';
import * as i0 from "@angular/core";
export declare class AswTextFieldDialog implements OnInit {
    private formBuilder;
    dialogRef: MatDialogRef<AswTextFieldDialog>;
    control: TextFieldControl;
    constants: any;
    aswEditTextFieldForm: FormGroup;
    status: boolean;
    constructor(formBuilder: FormBuilder, dialogRef: MatDialogRef<AswTextFieldDialog>, control: TextFieldControl);
    ngOnInit(): void;
    validateFormBuilder(): void;
    editProperty(control: TextFieldControl): void;
    onNoClick(): void;
    onSubmit(): void;
    onChange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AswTextFieldDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AswTextFieldDialog, "asw-textfield-dialog", never, {}, {}, never, never>;
}
